Package csb :: Package bio :: Package nmr :: Class RandomCoil

[frames] | no frames]

# Class RandomCoil

source code

    object --+
             |
            RandomCoil

Utility class containing all necessary data and methods for computing secondary chemical shifts.

Note: You are supposed to obtain an instance of this object only via the dedicated factory (see RandomCoil.get). The factory ensures a "singleton with lazy instantiation" behavior. This is needed since this object loads static data from the file system.

Instance Methods

__init__(self) x.__init__(...) initializes x; see help(type(x)) for signature | source code

secondary_shift(self, chain, residue, nucleus, value) Compute a secondary shift given a raw shift `value` for a specific residue and its neighboring residues. | source code

simple_secondary_shift(self, residue, nucleus, value) Compute a secondary shift given a raw shift `value`. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

get() Get the current RandomCoil instance (and create it, if this method is called for the first time). | source code

Class Variables
| RESOURCES = ``'``/build/python-csb-qn4_QK/python-csb-1.2.3+dfsg/cs``...``

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### secondary_shift(self, chain, residue, nucleus, value)

source code

Compute a secondary shift given a raw shift `value` for a specific residue and its neighboring residues.

Parameters:
  - `chain` (Chain) - the protein chain containing the `nucleus`
  - `residue` (Residue, str or int) - the residue containing the `nucleus`. This can be a residue object, id (sequence number + insertion code, string) or rank (integer, 1-based)
  - `nucleus` (str) - atom name (PDB format)
  - `value` (float) - raw chemical shift value

### simple_secondary_shift(self, residue, nucleus, value)

source code

Compute a secondary shift given a raw shift `value`. Residue neighborhood is not taken into account.

Parameters:
  - `residue` (str or EnumItem) - residue type (amino acid code)
  - `nucleus` (str) - atom name (PDB format)
  - `value` (float) - raw chemical shift value
Returns:
  float
Raises:
  - `EntityNotSupportedError` - on unsupported residue or nucleus

Class Variable Details

### RESOURCES

Value:

      '/build/python-csb-qn4_QK/python-csb-1.2.3+dfsg/csb/bio/nmr/resources'